VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "SplitterBar"
   ClientHeight    =   6015
   ClientLeft      =   165
   ClientTop       =   450
   ClientWidth     =   6240
   LinkTopic       =   "Form1"
   ScaleHeight     =   6015
   ScaleWidth      =   6240
   StartUpPosition =   2  'CenterScreen
   Begin VB.PictureBox Dir 
      Height          =   6015
      Left            =   2220
      ScaleHeight     =   5955
      ScaleWidth      =   3975
      TabIndex        =   2
      Top             =   0
      Width           =   4035
   End
   Begin VB.PictureBox Split 
      Appearance      =   0  'Flat
      BackColor       =   &H00C0C0C0&
      BorderStyle     =   0  'None
      ForeColor       =   &H80000008&
      Height          =   6015
      Left            =   2160
      MousePointer    =   9  'Size W E
      ScaleHeight     =   6015
      ScaleWidth      =   45
      TabIndex        =   1
      Top             =   0
      Width           =   50
   End
   Begin VB.PictureBox Esq 
      Height          =   6015
      Left            =   0
      ScaleHeight     =   5955
      ScaleWidth      =   2115
      TabIndex        =   0
      Top             =   0
      Width           =   2175
   End
   Begin VB.Menu mnuOpes 
      Caption         =   "&Opes"
      Begin VB.Menu mnuHorizontal 
         Caption         =   "&Horizontal"
      End
      Begin VB.Menu mnuVertical 
         Caption         =   "&Vertical"
         Checked         =   -1  'True
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim Orient As String
Dim bSplitter As Boolean
Dim DragX, DragY

Private Sub Form_Resize()
    If Orient = "H" Then
        Esq.Height = Split.Top
        Esq.Width = Me.ScaleWidth
    
        Dir.Width = Me.ScaleWidth
        Dir.Left = 0
        Dir.Top = Split.Top + Split.Height
        Dir.Height = Me.ScaleHeight - Split.Top - Split.Height
    Else
        Esq.Height = Me.ScaleHeight
        Esq.Width = Split.Left
    
        Dir.Width = Me.ScaleWidth - Split.Left - Split.Width
        Dir.Left = Split.Left + Split.Width
        Dir.Top = 0
        Dir.Height = Me.ScaleHeight
    End If
End Sub

Private Sub mnuHorizontal_Click()
    Orient = "H"
    mnuHorizontal.Checked = True
    mnuVertical.Checked = False
    
    Split.MousePointer = 7
    Split.Width = Me.ScaleWidth
    Split.Height = 50
    Split.Top = Me.ScaleHeight / 2
    Split.Left = 0
    
    Form_Resize
End Sub

Private Sub mnuVertical_Click()
    Orient = "V"
    mnuHorizontal.Checked = False
    mnuVertical.Checked = True
    
    Split.MousePointer = 9
    Split.Width = 50
    Split.Height = Me.ScaleHeight
    Split.Left = Me.ScaleWidth / 2
    Split.Top = 0
    
    Form_Resize
End Sub

Private Sub Split_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    bSplitter = True
    DragX = X
    DragY = Y
End Sub

Private Sub Split_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If bSplitter = True Then
        If Orient = "H" Then
            Dim TempY
            TempY = Split.Top + (Y - DragY)
            If TempY < 200 Then TempY = 200
            If TempY > Me.ScaleHeight - 200 Then TempY = Me.ScaleHeight - 200
            Split.Top = TempY
        Else
            Dim TempX
            TempX = Split.Left + (X - DragX)
            If TempX < 200 Then TempX = 200
            If TempX > Me.ScaleWidth - 200 Then TempX = Me.ScaleWidth - 200
            Split.Left = TempX
        End If
    End If
    Form_Resize
End Sub

Private Sub Split_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    bSplitter = False
End Sub
